## grendel.addressbook.addresscard
Class AddressCardAttribute

    java.lang.Object
      |
      +--grendel.addressbook.addresscard.AddressCardAttribute

public class AddressCardAttribute
extends java.lang.Object
implements IAttribute

Defines an attribute for an addresscard.

Constructor Summary
`AddressCardAttribute(java.lang.String attrName, java.lang.String attrValue)`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getValue()`
`boolean` | `isDeleted()`
`boolean` | `isModified()`
`boolean` | `isNew()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressCardAttribute

    public AddressCardAttribute(java.lang.String attrName,
                                java.lang.String attrValue)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface IAttribute

### getValue

    public java.lang.String getValue()

  Specified by:
    getValue in interface IAttribute

### isNew

    public boolean isNew()

  Specified by:
    isNew in interface IAttribute

### isDeleted

    public boolean isDeleted()

  Specified by:
    isDeleted in interface IAttribute

### isModified

    public boolean isModified()

  Specified by:
    isModified in interface IAttribute